<?php 

/**
 * SharedController Controller
 * @category  Controller / Model
 */
class SharedController extends BaseController{
	
	/**
     * absen_webinar_nama_option_list Model Action
     * @return array
     */
	function absen_webinar_nama_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT nama AS value,nama AS label FROM absen_webinar ORDER BY nama ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * absen_webinar_kelompok_option_list Model Action
     * @return array
     */
	function absen_webinar_kelompok_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT kelompok AS value,kelompok AS label FROM absen_4s ORDER BY kelompok ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * absen_webinar_pagi_option_list Model Action
     * @return array
     */
	function absen_webinar_pagi_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status AS value,status AS label FROM status_hadir ORDER BY status ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * absen_webinar_siang_option_list Model Action
     * @return array
     */
	function absen_webinar_siang_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status AS value,status AS label FROM status_hadir ORDER BY status ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * absen_webinar_malam_option_list Model Action
     * @return array
     */
	function absen_webinar_malam_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT status AS value,status AS label FROM status_hadir ORDER BY status ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

}
